package com.bytedance.android.livesdk.chatroom.api;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class SubLevel {
    public static final Integer LIZ = 0;
    public static final Integer LIZIZ = 0;
    @c(LIZ = "level")
    public Integer LIZJ;
    @c(LIZ = "desc")
    public String LIZLLL;
    @c(LIZ = "month_limit")
    public Integer LJ;
    @c(LIZ = "badge")
    public LevelBadge LJFF;

    static {
        Covode.recordClassIndex(13298);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LIZJ != null) {
            sb.append(", level=");
            sb.append(this.LIZJ);
        }
        if (this.LIZLLL != null) {
            sb.append(", desc=");
            sb.append(this.LIZLLL);
        }
        if (this.LJ != null) {
            sb.append(", month_limit=");
            sb.append(this.LJ);
        }
        if (this.LJFF != null) {
            sb.append(", badge=");
            sb.append(this.LJFF);
        }
        sb.replace(0, 2, "SubLevel{");
        sb.append('}');
        return sb.toString();
    }
}
